
-- PrisonBoxingGrant Mod
-- Author: LordVanLahn
-- Version: v 1



function CreateGrants()
CreatePrisonBoxingGrant();
	
end

function CreatePrisonBoxingGrant()

	Objective.CreateGrant			( "Grant_PrisonBoxing", 15000, 30000 )
    Objective.SetPreRequisite       ( "Unlocked", "prisonboxing", 0 )

	Objective.CreateGrant			( "Grant_PrisonBoxing_Arena", 0, 0 )
	Objective.SetParent				( "Grant_PrisonBoxing" )	
	Objective.RequireRoom        	( "arena", true )
	
	Objective.CreateGrant			( "Grant_PrisonBoxing_TrainingRoom", 0, 0 )
	Objective.SetParent				( "Grant_PrisonBoxing" )	
	Objective.RequireRoom        	( "trainingroom", true )

	Objective.CreateGrant			( "Grant_PrisonBoxing_BoxingRing", 0, 0 )
	Objective.SetParent				( "Grant_PrisonBoxing" )	
	Objective.RequireObjects        ( "boxingring", 2) 
	
	Objective.CreateGrant			( "Grant_PrisonBoxing_SpeedBag", 0, 0 )
	Objective.SetParent				( "Grant_PrisonBoxing" )	
	Objective.RequireObjects        ( "speedbag", 2) 
	
	Objective.CreateGrant			( "Grant_PrisonBoxing_WeightsBench", 0, 0 )
	Objective.SetParent				( "Grant_PrisonBoxing" )	
	Objective.RequireObjects        ( "WeightsBench", 2) 
 
	
end

